GET
Get board by public ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

boardPublicId
string
required
Minimum string length: 12

Query Parameters

members
string[]
Minimum string length: 12
labels
string[]
Minimum string length: 12
lists
string[]
Minimum string length: 12
dueDateFilters
enum<string>[]
Available options:
overdue,
today,
tomorrow,
next-week,
next-month,
no-due-date
completed
boolean
priority
enum<string>[]
Available options:
low,
medium,
high,
urgent,
none
type
enum<string>
Available options:
regular,
template

Response

Successful response

publicId
string
required
name
string
required
slug
string
required
visibility
enum<string>
required
Available options:
private,
public
isArchived
boolean
required
createdBy
string | null
required
favorite
boolean
required
archivedCardCount
number
required
trashedCardCount
number
required
workspace
object
required
labels
object[]
required
tags
object[]
required
lists
object[]
required
allLists
object[]
required